!!! 5
%meta{charset: "UTF-8"}
%meta{name: "viewport", content: "device-width, initial-scale=1"}
%title= page_title
%link{rel: "alternate", href: "#{metadata.modified}.opds", type: RSS::OPDS::TYPES["acquisition"]}
%h1= page_title
%dl
  - metadata.to_h.each_pair do |prop, elems|
    - case prop
    - when :titles
      %dt Title
      %dd= elems.join(" ")
    - else
      %dt= prop.capitalize
      - if elems.empty?
        %dd N/A
      - else
        - elems.each do |elem|
          - if elem == metadata.unique_identifier
            %dd= elem.to_s + "(Unique Identifier)"
          - else
            %dd= elem
  - metadata.primary_metas.each do |meta|
    - if meta == metadata.modified
      %dt Modified
      %dd
        %time= meta
    - else
      %dt= meta.property
      %dd= meta
  %dt EPUB Version
  %dd= rendition.version
  %dt OPF
  %dd
    %a{href: "#{metadata.modified}.opf"} #{metadata.modified}.opf
  %dt OPDS Catalog Entry
  %dd
    %a{href: "#{metadata.modified}.opds"} #{metadata.modified}.opds
